<form (ngSubmit)="onSubmit()"
      [formGroup]="form"
>
  <solidify-detail-presentation [centerTemplate]="centerTemplate"
                                [leftTemplate]="leftTemplate"
                                [iconName]="iconNameEnum.contributor"
                                [rightTemplate]="rightTemplate"
  ></solidify-detail-presentation>

  <ng-template #leftTemplate>
    <solidify-logo-wrapper-container *ngIf="model | isNotNullNorUndefined"
                                     [idResource]="model.resId"
                                     [logoNamespace]="userAvatarActionNameSpace"
                                     [logoState]="userState"
                                     [isUser]="true"
                                     [userInfo]="model"
                                     [isLogoPresent]="model.avatar | isNotNullNorUndefined"
                                     [imageMode]="imageDisplayModeEnum.MAIN"
                                     class="avatar"
    ></solidify-logo-wrapper-container>
  </ng-template>

  <ng-template #centerTemplate>

    <mat-form-field *ngIf="getFormControl(formDefinition.lastName) as fd"
                    [appearance]="appearanceInputMaterial"
                    [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                    solidifyTooltipOnEllipsis
    >
      <mat-label>{{labelTranslateEnum.lastName | translate }}</mat-label>
      <input [formControl]="fd"
             [required]="isRequired(formDefinition.lastName)"
             matInput
      >
      <button (click)="navigateTo($event)"
              *ngIf="securityService.isRootOrAdmin()"
              [matTooltip]="labelTranslateEnum.seeContributorDetail | translate"
              aria-label="Navigate to"
              class="navigate-to"
              mat-icon-button
              matSuffix
              solidifyShortCuts
              type="button"
      >
        <solidify-icon [iconName]="iconNameEnum.internalLink"
                       class="size-16"
        ></solidify-icon>
      </button>
    </mat-form-field>

    <mat-form-field *ngIf="getFormControl(formDefinition.firstName) as fd"
                    [appearance]="appearanceInputMaterial"
                    [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                    solidifyTooltipOnEllipsis
    >
      <mat-label>{{labelTranslateEnum.firstName | translate}}</mat-label>
      <input [formControl]="fd"
             [required]="isRequired(formDefinition.firstName)"
             matInput
      >
      <button (click)="navigateTo($event)"
              *ngIf="securityService.isRootOrAdmin()"
              [matTooltip]="labelTranslateEnum.seeContributorDetail | translate"
              aria-label="Navigate to"
              class="navigate-to"
              mat-icon-button
              matSuffix
              solidifyShortCuts
              type="button"
      >
        <solidify-icon [iconName]="iconNameEnum.internalLink"
                       class="size-16"
        ></solidify-icon>
      </button>
    </mat-form-field>

  </ng-template>

  <ng-template #rightTemplate>

    <mat-form-field *ngIf="getFormControl(formDefinition.orcid) as fd"
                    [appearance]="appearanceInputMaterial"
                    [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                    solidifyTooltipOnEllipsis
    >
      <mat-label>{{labelTranslateEnum.orcid | translate }}</mat-label>
      <input [formControl]="fd"
             [required]="isRequired(formDefinition.orcid)"
             matInput
      >
      <solidify-button-orcid [orcid]="fd?.value"
                             [isVerifiedOrcid]="(model?.verifiedOrcid | isTrue)"
                             [isButton]="true"
                             [isPristineForm]="fd.pristine"
                             class="orcid-button"
                             matSuffix
      ></solidify-button-orcid>
    </mat-form-field>

  </ng-template>

</form>
